=== debian/changelog ===
inky (1.4.0-0ubuntu1) kinetic; urgency=medium

  * Initial packaging for Ubuntu (LP: #1992778)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 20 Oct 2022 19:17:59 +0200
