=== debian/control ===
Source: inky
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/inky
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-doc,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-pytest,
 python3-numpy,
Standards-Version: 4.6.1.0
Rules-Requires-Root: no

Package: python3-inky
Architecture: all
Suggests: python-inky-doc, python3-inky-extras
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for the Pimoroni Inky HAT range
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This is the Python 3 version of the package.

Package: python3-inky-examples
Architecture: all
Depends: ${misc:Depends}, python3-inky
Recommends: python3-rpi.gpio, python3-requests, python3-bs4
Description: Python library for the Pimoroni Inky HAT range - examples
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This package contains the examples for Python 3 library.

Package: python3-inky-extras
Architecture: all
Suggests: fritzing, gimp
Depends: ${misc:Depends}
Description: Python library for the Pimoroni Inky HAT range - extras
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This package contains Fritzing parts and GIMP palettes for designing and
 working with the Inky range.

Package: python-inky-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python library for the Pimoroni Inky HAT range - documentation
 The Inky HAT range is a variety of differently shaped and sized e-paper
 displays for the Raspberry Pi. This library supports all three current
 variants: the wHAT, pHAT, and the larger Impression.
 .
 This is the API documentation package.
