=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export PYBUILD_DIR=library
export PYBUILD_NAME=inky

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml sphinx/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-inky -ppython-inky-doc
	dh_installdocs --doc-main-package=python3-inky -ppython3-inky-examples
	dh_installdocs -ppython3-inky
	dh_installdocs -ppython3-inky-extras
