=== debian/tests/control ===
Test-Command: pytest-3 library/tests/
Depends: python3-pytest, python3-inky
